Invesco Galaxy Bitcoin ETF

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/invesco-galaxy-bitcoin-etf/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/invesco-galaxy-bitcoin-etf/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1790640000000,
    "type": "flat",
    "coin_id": "bitcoin",
    "holding_net_change": 0.0
  },
  {
    "date": 1790726400000,
    "type": "flat",
    "coin_id": "bitcoin",
    "holding_net_change": 0.0
  },
  {
    "date": 1790812800000,
    "type": "sell",
    "coin_id": "bitcoin",
    "holding_net_change": -50.27100861357825
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/invesco-galaxy-bitcoin-etf/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1790726400000,
    5102.331865669998
  ],
  [
    1790812800000,
    5102.331865669998
  ],
  [
    1790899200000,
    5051.612044459997
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/invesco-galaxy-bitcoin-etf/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1790726400000,
    426783528.4375938
  ],
  [
    1790812800000,
    426285336.7542298
  ],
  [
    1790899200000,
    428289965.1914044
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/invesco-galaxy-bitcoin-etf/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 83.07,
    "date": "2026-09-30",
    "high": 85.07,
    "open": 84.68,
    "close": 83.07,
    "volume": 14700
  },
  {
    "low": 82.96,
    "date": "2026-10-01",
    "high": 84.56,
    "open": 82.96,
    "close": 84.15,
    "volume": 16800
  },
  {
    "low": 83.54,
    "date": "2026-10-02",
    "high": 86.6,
    "open": 86.11,
    "close": 83.79,
    "volume": 17200
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/invesco-galaxy-bitcoin-etf/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": null,
  "quarterly_earnings_growth": null,
  "eps_estimate_current_quarter": null
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/invesco-galaxy-bitcoin-etf/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": 8.95,
  "six_month_return": 25.6,
  "three_month_return": 32.2
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/invesco-galaxy-bitcoin-etf/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": "-",
  "total_btc_percentage": 0.024,
  "share_price_change_state": ""
}